HealBot_Default_Textures={
    [1]= {name="HealBot 01", file=[[Interface\Addons\HealBot\Images\bar1.tga]]},
    [2]= {name="Waves", file=[[Interface\Addons\HealBot\Images\bar2.tga]]},
    [3]= {name="HealBot 03", file=[[Interface\Addons\HealBot\Images\bar3.tga]]},
    [4]= {name="HealBot 04", file=[[Interface\Addons\HealBot\Images\bar4.tga]]},
    [5]= {name="HealBot 05", file=[[Interface\Addons\HealBot\Images\bar5.tga]]},
    [6]= {name="BantoBar", file=[[Interface\Addons\HealBot\Images\bar6.tga]]},
    [7]= {name="Otravi", file=[[Interface\Addons\HealBot\Images\bar7.tga]]},
    [8]= {name="Smooth", file=[[Interface\Addons\HealBot\Images\bar8.tga]]},
    [9]= {name="Charcoal", file=[[Interface\Addons\HealBot\Images\bar9.tga]]},
    [10]= {name="HealBot 10", file=[[Interface\Addons\HealBot\Images\bar10.tga]]},
    [11]= {name="Diagonal", file=[[Interface\Addons\HealBot\Images\bar11.tga]]},
    [12]= {name="Skewed", file=[[Interface\Addons\HealBot\Images\bar12.tga]]},
    [13]= {name="Marble", file=[[Interface\Addons\HealBot\Images\bar13.tga]]},
    [14]= {name="HealBot 14", file=[[Interface\Addons\HealBot\Images\bar14.tga]]},
    [15]= {name="Healbot", file=[[Interface\Addons\HealBot\Images\Bar15.tga]]},
};
HealBot_Default_Sounds={
    [1]= {name="Tribal Bass Drum", file="Sound\\Doodad\\BellTollTribal.wav"},
    [2]= {name="Thorns", file="Sound\\Spells\\Thorns.wav"},
    [3]= {name="Elf Bell Toll", file="Sound\\Doodad\\BellTollNightElf.wav"},
};
HealBot_Default_Font= "Friz Quadrata TT";


HealBot_ConfigDefaults = {
  Version = HEALBOT_VERSION,
  FastAttrib=1,
  AutoClose = 0,
  PanelSounds = 0,
  HideOptions = 0,
  ShowTooltip = 1,
  TooltipUpdate = 1,
  Tooltip_ShowSpellDetail = 0,
  Tooltip_ShowTarget = 1,
  Tooltip_ShowMyBuffs = 1,
  Tooltip_Recommend = 0,
  Tooltip_PreDefined=1,
  TooltipPos = 5,  
  ProtectPvP = 0,
  ShowDebuffWarning = 1,
  SoundDebuffWarning = 0,
  SoundDebuffPlay = HealBot_Default_Sounds[1].name,
  CDCMonitor = 1,
  RightButtonOptions = 0,
  BuffWatch = 1,
  BuffWatchInCombat = 0,
  DebuffWatch = 1,
  DebuffWatchInCombat = 1,
  IgnoreClassDebuffs = 1,
  IgnoreMovementDebuffs = 1,
  IgnoreFastDurDebuffs = 1,
  IgnoreNonHarmfulDebuffs = 1,
  SmartCast = 1,
  SmartCastDebuff = 1,
  SmartCastBuff = 1,
  SmartCastHeal = 0,
  SmartCastRes = 1,
  RangeCheckFreq=0.25,
  DisableHealBot=0,
  HealBot_ButtonRadius=78,
  HealBot_ButtonPosition=300,
  ButtonShown=1,
  UseTargetCombatStatus=1,
  ttalpha=0.8,
  ShortBuffTimer=30,
  LongBuffTimer=120,
  ShowDebuffIcon=1,
  IgnoreFastDurDebuffsSecs=3,
  CDCshownHB=1,
  CDCshownAB=1,
  EnLibQuickHealth=0,
  CurrentSpec=4,
  UniqueSpellComboToSpec=1,
  DisableToolTipInCombat=0,
  HealBot_BuffWatchGUID={},
  noTestTanks=3,
  noTestTargets=5,
  noTestPets=4,
  noTestBars=25,
  Skin_ID = -1,
  CDCBarColour = {
    [HEALBOT_DISEASE_en] = { R = 0.55, G = 0.19, B = 0.7, },
    [HEALBOT_MAGIC_en] = { R = 0.26, G = 0.33, B = 0.83, },
    [HEALBOT_POISON_en] = { R = 0.12, G = 0.46, B = 0.24, },
    [HEALBOT_CURSE_en] = { R = 0.83, G = 0.43, B = 0.09, },
    [HEALBOT_CUSTOM_en] = { R = 0.45, G = 0, B = 0.26, }, -- added by Diacono
  },
  EmergIncRange = {
    [HEALBOT_DRUID]    = 0, [HEALBOT_HUNTER]   = 1, [HEALBOT_MAGE]     = 1,
    [HEALBOT_PALADIN]  = 0, [HEALBOT_PRIEST]   = 0, [HEALBOT_ROGUE]    = 0,
    [HEALBOT_SHAMAN]   = 0, [HEALBOT_WARLOCK]  = 1, [HEALBOT_WARRIOR]  = 0, [HEALBOT_DEATHKNIGHT] = 0,
  },
  EmergIncMelee = {
    [HEALBOT_DRUID]    = 0, [HEALBOT_HUNTER]   = 0, [HEALBOT_MAGE]     = 0,
    [HEALBOT_PALADIN]  = 0, [HEALBOT_PRIEST]   = 0, [HEALBOT_ROGUE]    = 1,
    [HEALBOT_SHAMAN]   = 0, [HEALBOT_WARLOCK]  = 0, [HEALBOT_WARRIOR]  = 1, [HEALBOT_DEATHKNIGHT] = 1,
  },
  EmergIncHealers = {
    [HEALBOT_DRUID]    = 1, [HEALBOT_HUNTER]   = 0, [HEALBOT_MAGE]     = 0,
    [HEALBOT_PALADIN]  = 0, [HEALBOT_PRIEST]   = 1, [HEALBOT_ROGUE]    = 0,
    [HEALBOT_SHAMAN]   = 0, [HEALBOT_WARLOCK]  = 0, [HEALBOT_WARRIOR]  = 0, [HEALBOT_DEATHKNIGHT] = 0,
  },
  EmergIncCustom = {
    [HEALBOT_DRUID]    = 1, [HEALBOT_HUNTER]   = 0, [HEALBOT_MAGE]     = 1,
    [HEALBOT_PALADIN]  = 1, [HEALBOT_PRIEST]   = 1, [HEALBOT_ROGUE]    = 0,
    [HEALBOT_SHAMAN]   = 1, [HEALBOT_WARLOCK]  = 1, [HEALBOT_WARRIOR]  = 0, [HEALBOT_DEATHKNIGHT] = 0,
  },
  EnabledKeyCombo=nil,
  EnabledSpellTarget={},
  EnabledSpellTrinket1={},
  EnabledSpellTrinket2={},
  DisabledKeyCombo = nil,
  DisabledSpellTarget={},
  DisabledSpellTrinket1={},
  DisabledSpellTrinket2={},
  EnableHealthy = 1,
  ActionVisible = 0,
  HealBotDebuffText=nil,
  HealBotBuffText=nil,
  HealBotBuffDropDown=nil,
  HealBotDebuffDropDown=nil,
  HealBotBuffColR=nil,
  HealBotBuffColG=nil,
  HealBotBuffColB=nil,

    HealBot_Custom_Debuffs = {
        -- Karazhan
        [GetSpellInfo(29670)] = true, -- Karazhan - Ice Tomb
        [GetSpellInfo(30115)] = true, -- Illhoof - Sacrifice
        -- Hyjal    
        [GetSpellInfo(31249)] = true, -- Rage Winterchill - Icebolt
        [GetSpellInfo(31944)] = true, -- Archimonde - Doomfire
        -- Black Temple    
        [GetSpellInfo(39837)] = true, -- Naj'entus - Impaling Spine
        [GetSpellInfo(40604)] = true, -- Bloodboil - Fel Rage
        [GetSpellInfo(40616)] = true, -- Bloodboil - Fel Rage 2
        [GetSpellInfo(41001)] = true, -- Mother Shahraz - Fatal Attraction
        [GetSpellInfo(40932)] = true, -- Illidan - Agonizing Flames
        [GetSpellInfo(40585)] = true, -- Illidan - Dark Barrage
        [GetSpellInfo(41917)] = true, -- Illidan - Parasitic Shadowfiend
        -- Zul'Aman    
        [GetSpellInfo(43093)] = true, -- Zul'jin - Grievous Throw
        -- Sunwell    
        [GetSpellInfo(46394)] = true, -- Brutallus - Burn
        [GetSpellInfo(45662)] = true, -- Felymyst - Encapsulate
        [GetSpellInfo(45342)] = true, -- Lady Sacrolash - Conflagration
        [GetSpellInfo(46771)] = true, -- Warlock Alythess - Flame Sear        
        [GetSpellInfo(45641)] = true, -- Kil'jaeden - Fire Bloom
        -- WotLK Dungeons    
        [GetSpellInfo(48920)] = true, -- Drak'Tharon Keep - Grievous Bite
        [GetSpellInfo(23965)] = true, -- Utgarde Keep - Frost Tomb
        [GetSpellInfo(48261)] = true, -- Utgarde Pinnacle - Impale
        -- Naxxramas    
        [GetSpellInfo(28622)] = true, -- Maexxna - Web Wrap
        [GetSpellInfo(55550)] = true, -- Razuvious - Jagged Knife        
        [GetSpellInfo(27808)] = true, -- Kel'Thuzad - Frost Blast
        -- Ulduar
        [GetSpellInfo(63477)] = true, -- Ignis - Slag Pot
        [GetSpellInfo(64234)] = true, -- XT-002 - Gravity Bomb       
        [GetSpellInfo(63018)] = true, -- XT-002 - Light Bomb
        [GetSpellInfo(64292)] = true, -- Kologarn - Stone Grip
        [GetSpellInfo(64669)] = true, -- Auriaya - Feral Pounce      
        [GetSpellInfo(63666)] = true, -- Mimiron - Napalm Shell
    },
};

HealBot_Config_SkinsDefaults = {
  Skin_ID = 1,
  Skin_Version = HealBotSkinVersion,
  Current_Skin = HEALBOT_SKINS_STD,
  Skins = {HEALBOT_SKINS_STD, HEALBOT_OPTIONS_GROUPHEALS, HEALBOT_OPTIONS_EMERGENCYHEALS, HEALBOT_ZONE_AV, HEALBOT_SKIN_FLUID, HEALBOT_SKIN_VIVID, HEALBOT_SKIN_LIGHT, HEALBOT_SKIN_SQUARE, HEALBOT_MAGIC},
  numcols = {[HEALBOT_SKINS_STD] = 2, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 4, [HEALBOT_ZONE_AV] = 3,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 3, [HEALBOT_SKIN_LIGHT] = 2, [HEALBOT_SKIN_SQUARE] = 3, [HEALBOT_MAGIC] = 3,},
  btexture = {[HEALBOT_SKINS_STD] = HealBot_Default_Textures[8].name, [HEALBOT_OPTIONS_GROUPHEALS] = HealBot_Default_Textures[5].name, [HEALBOT_OPTIONS_EMERGENCYHEALS] = HealBot_Default_Textures[7].name, [HEALBOT_ZONE_AV] = HealBot_Default_Textures[9].name,
              [HEALBOT_SKIN_FLUID] = HealBot_Default_Textures[6].name, [HEALBOT_SKIN_VIVID] = HealBot_Default_Textures[13].name, [HEALBOT_SKIN_LIGHT] = HealBot_Default_Textures[10].name, [HEALBOT_SKIN_SQUARE] = HealBot_Default_Textures[9].name, [HEALBOT_MAGIC] = HealBot_Default_Textures[8].name,},
  bcspace = {[HEALBOT_SKINS_STD] = 3, [HEALBOT_OPTIONS_GROUPHEALS] = 3, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 2, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 5, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 3, [HEALBOT_MAGIC] = 4,},
  brspace = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 3, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 2, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 5, [HEALBOT_SKIN_LIGHT] = 2, [HEALBOT_SKIN_SQUARE] = 4, [HEALBOT_MAGIC] = 0,},
  bwidth =  {[HEALBOT_SKINS_STD] = 122, [HEALBOT_OPTIONS_GROUPHEALS] = 142, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 95, [HEALBOT_ZONE_AV] = 48,
             [HEALBOT_SKIN_FLUID] = 150, [HEALBOT_SKIN_VIVID] = 175, [HEALBOT_SKIN_LIGHT] = 100, [HEALBOT_SKIN_SQUARE] = 35, [HEALBOT_MAGIC] = 95,},
  bheight = {[HEALBOT_SKINS_STD] = 22, [HEALBOT_OPTIONS_GROUPHEALS] = 28, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 17, [HEALBOT_ZONE_AV] = 15,
             [HEALBOT_SKIN_FLUID] = 20, [HEALBOT_SKIN_VIVID] = 30, [HEALBOT_SKIN_LIGHT] = 18, [HEALBOT_SKIN_SQUARE] = 35, [HEALBOT_MAGIC] = 22,},
  btextenabledcolr = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  btextenabledcolg = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  btextenabledcolb = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  btextenabledcola = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  btextdisbledcolr = {[HEALBOT_SKINS_STD] = 0.5, [HEALBOT_OPTIONS_GROUPHEALS] = 0.5, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.5, [HEALBOT_ZONE_AV] = 0.4,
             [HEALBOT_SKIN_FLUID] = 0.5, [HEALBOT_SKIN_VIVID] = 0.8, [HEALBOT_SKIN_LIGHT] = 0.5, [HEALBOT_SKIN_SQUARE] = 0.5, [HEALBOT_MAGIC] = 0.5,},
  btextdisbledcolg = {[HEALBOT_SKINS_STD] = 0.5, [HEALBOT_OPTIONS_GROUPHEALS] = 0.5, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.5, [HEALBOT_ZONE_AV] = 0.4,
             [HEALBOT_SKIN_FLUID] = 0.5, [HEALBOT_SKIN_VIVID] = 0.8, [HEALBOT_SKIN_LIGHT] = 0.5, [HEALBOT_SKIN_SQUARE] = 0.5, [HEALBOT_MAGIC] = 0.5,},
  btextdisbledcolb = {[HEALBOT_SKINS_STD] = 0.5, [HEALBOT_OPTIONS_GROUPHEALS] = 0.5, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.5, [HEALBOT_ZONE_AV] = 0.4,
             [HEALBOT_SKIN_FLUID] = 0.5, [HEALBOT_SKIN_VIVID] = 0.8, [HEALBOT_SKIN_LIGHT] = 0.5, [HEALBOT_SKIN_SQUARE] = 0.5, [HEALBOT_MAGIC] = 0.5,},
  btextdisbledcola = {[HEALBOT_SKINS_STD] = 0.4, [HEALBOT_OPTIONS_GROUPHEALS] = 0.4, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.25, [HEALBOT_ZONE_AV] = 0.05,
             [HEALBOT_SKIN_FLUID] = 0.3, [HEALBOT_SKIN_VIVID] = 0.7, [HEALBOT_SKIN_LIGHT] = 0.22, [HEALBOT_SKIN_SQUARE] = 0.35, [HEALBOT_MAGIC] = 0.4,},
  btextcursecolr = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  btextcursecolg = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  btextcursecolb = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  btextcursecola = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  backcola = {[HEALBOT_SKINS_STD] = 0.8, [HEALBOT_OPTIONS_GROUPHEALS] = 0.02, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.02, [HEALBOT_ZONE_AV] = 0.01,
             [HEALBOT_SKIN_FLUID] = 0.02, [HEALBOT_SKIN_VIVID] = 0.15, [HEALBOT_SKIN_LIGHT] = 0.01, [HEALBOT_SKIN_SQUARE] = 0.14, [HEALBOT_MAGIC] = 0.8,},
  Barcola    = {[HEALBOT_SKINS_STD] = 0.9, [HEALBOT_OPTIONS_GROUPHEALS] = 0.95, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.85, [HEALBOT_ZONE_AV] = 0.85,
             [HEALBOT_SKIN_FLUID] = 0.88, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0.84, [HEALBOT_SKIN_SQUARE] = 0.92, [HEALBOT_MAGIC] = 0.9,},
  BarcolaInHeal = {[HEALBOT_SKINS_STD] = 0.15, [HEALBOT_OPTIONS_GROUPHEALS] = 0.5, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.5, [HEALBOT_ZONE_AV] = 0.35,
             [HEALBOT_SKIN_FLUID] = 0.4, [HEALBOT_SKIN_VIVID] = 0.55, [HEALBOT_SKIN_LIGHT] = 0.52, [HEALBOT_SKIN_SQUARE] = 0.45, [HEALBOT_MAGIC] = 0.5,},
  backcolr = {[HEALBOT_SKINS_STD] = 0.1, [HEALBOT_OPTIONS_GROUPHEALS] = 0.1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.1, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 0.2, [HEALBOT_SKIN_VIVID] = 0.2, [HEALBOT_SKIN_LIGHT] = 0.1, [HEALBOT_SKIN_SQUARE] = 0.2, [HEALBOT_MAGIC] = 0.1,},
  backcolg = {[HEALBOT_SKINS_STD] = 0.1, [HEALBOT_OPTIONS_GROUPHEALS] = 0.1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.1, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 0.2, [HEALBOT_SKIN_VIVID] = 0.1, [HEALBOT_SKIN_LIGHT] = 0.2, [HEALBOT_SKIN_SQUARE] = 0.2, [HEALBOT_MAGIC] = 0.1,},
  backcolb = {[HEALBOT_SKINS_STD] = 0.1, [HEALBOT_OPTIONS_GROUPHEALS] = 0.7, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.7, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 0.5, [HEALBOT_SKIN_VIVID] = 0.5, [HEALBOT_SKIN_LIGHT] = 0.5, [HEALBOT_SKIN_SQUARE] = 0.5, [HEALBOT_MAGIC] = 0.1,},
  borcolr = {[HEALBOT_SKINS_STD] = 0.2, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 0.2,},
  borcolg = {[HEALBOT_SKINS_STD] = 0.2, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 0.2,},
  borcolb = {[HEALBOT_SKINS_STD] = 0.2, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 0.2,},
  borcola = {[HEALBOT_SKINS_STD] = 0.04, [HEALBOT_OPTIONS_GROUPHEALS] = 0.35, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.14, [HEALBOT_ZONE_AV] = 0.02,
             [HEALBOT_SKIN_FLUID] = 0.17, [HEALBOT_SKIN_VIVID] = 0.5, [HEALBOT_SKIN_LIGHT] = 0.02, [HEALBOT_SKIN_SQUARE] = 0.2, [HEALBOT_MAGIC] = 0.05,},
  btextfont = {[HEALBOT_SKINS_STD] = HealBot_Default_Font, [HEALBOT_OPTIONS_GROUPHEALS] = HealBot_Default_Font, [HEALBOT_OPTIONS_EMERGENCYHEALS] = HealBot_Default_Font, [HEALBOT_ZONE_AV] = HealBot_Default_Font,
             [HEALBOT_SKIN_FLUID] = HealBot_Default_Font, [HEALBOT_SKIN_VIVID] = HealBot_Default_Font, [HEALBOT_SKIN_LIGHT] = HealBot_Default_Font, [HEALBOT_SKIN_SQUARE] = HealBot_Default_Font, [HEALBOT_MAGIC] = HealBot_Default_Font,},
  btextheight = {[HEALBOT_SKINS_STD] = 10, [HEALBOT_OPTIONS_GROUPHEALS] = 12, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 9, [HEALBOT_ZONE_AV] = 10,
             [HEALBOT_SKIN_FLUID] = 10, [HEALBOT_SKIN_VIVID] = 14, [HEALBOT_SKIN_LIGHT] = 10, [HEALBOT_SKIN_SQUARE] = 8, [HEALBOT_MAGIC] = 10,},
  bardisa = {[HEALBOT_SKINS_STD] = 0.07, [HEALBOT_OPTIONS_GROUPHEALS] = 0.15, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.12, [HEALBOT_ZONE_AV] = 0.01,
             [HEALBOT_SKIN_FLUID] = 0.18, [HEALBOT_SKIN_VIVID] = 0.22, [HEALBOT_SKIN_LIGHT] = 0.04, [HEALBOT_SKIN_SQUARE] = 0.08, [HEALBOT_MAGIC] = 0.07,},
  bareora = {[HEALBOT_SKINS_STD] = 0.4, [HEALBOT_OPTIONS_GROUPHEALS] = 0.42, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.32, [HEALBOT_ZONE_AV] = 0.25,
             [HEALBOT_SKIN_FLUID] = 0.4, [HEALBOT_SKIN_VIVID] = 0.45, [HEALBOT_SKIN_LIGHT] = 0.28, [HEALBOT_SKIN_SQUARE] = 0.38, [HEALBOT_MAGIC] = 0.4,},
  bar2size = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 3, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 0,},
  ShowHeader = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  headbarcolr = {[HEALBOT_SKINS_STD] = 0.7, [HEALBOT_OPTIONS_GROUPHEALS] = 0.1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.1, [HEALBOT_ZONE_AV] = 0.1,
             [HEALBOT_SKIN_FLUID] = 0.8, [HEALBOT_SKIN_VIVID] = 0.2, [HEALBOT_SKIN_LIGHT] = 0.8, [HEALBOT_SKIN_SQUARE] = 0.8, [HEALBOT_MAGIC] = 0.7,},
  headbarcolg = {[HEALBOT_SKINS_STD] = 0.5, [HEALBOT_OPTIONS_GROUPHEALS] = 0.1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.1, [HEALBOT_ZONE_AV] = 0.1,
             [HEALBOT_SKIN_FLUID] = 0.8, [HEALBOT_SKIN_VIVID] = 0.2, [HEALBOT_SKIN_LIGHT] = 0.8, [HEALBOT_SKIN_SQUARE] = 0.8, [HEALBOT_MAGIC] = 0.5,},
  headbarcolb = {[HEALBOT_SKINS_STD] = 0.5, [HEALBOT_OPTIONS_GROUPHEALS] = 0.1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.1, [HEALBOT_ZONE_AV] = 0.1,
             [HEALBOT_SKIN_FLUID] = 0.8, [HEALBOT_SKIN_VIVID] = 0.2, [HEALBOT_SKIN_LIGHT] = 0.8, [HEALBOT_SKIN_SQUARE] = 0.8, [HEALBOT_MAGIC] = 0.5,},
  headbarcola = {[HEALBOT_SKINS_STD] = 0.4, [HEALBOT_OPTIONS_GROUPHEALS] = 0.25, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.25, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0.15, [HEALBOT_SKIN_VIVID] = 0.25, [HEALBOT_SKIN_LIGHT] = 0.25, [HEALBOT_SKIN_SQUARE] = 0.15, [HEALBOT_MAGIC] = 0.4,},
  headtxtcolr = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  headtxtcolg = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  headtxtcolb = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 0.1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.1, [HEALBOT_ZONE_AV] = 0.1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  headtxtcola = {[HEALBOT_SKINS_STD] = 0.85, [HEALBOT_OPTIONS_GROUPHEALS] = 0.7, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.55, [HEALBOT_ZONE_AV] = 0.4,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 0.8,},
  headtexture = {[HEALBOT_SKINS_STD] = HealBot_Default_Textures[10].name, [HEALBOT_OPTIONS_GROUPHEALS] = HealBot_Default_Textures[11].name, [HEALBOT_OPTIONS_EMERGENCYHEALS] = HealBot_Default_Textures[12].name, [HEALBOT_ZONE_AV] = HealBot_Default_Textures[12].name,
                       [HEALBOT_SKIN_FLUID] = HealBot_Default_Textures[15].name, [HEALBOT_SKIN_VIVID] = HealBot_Default_Textures[8].name, [HEALBOT_SKIN_LIGHT] = HealBot_Default_Textures[9].name, [HEALBOT_SKIN_SQUARE] = HealBot_Default_Textures[10].name, [HEALBOT_MAGIC] = HealBot_Default_Textures[10].name,},
  headwidth   = {[HEALBOT_SKINS_STD] = 0.75, [HEALBOT_OPTIONS_GROUPHEALS] = 0.9, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.9, [HEALBOT_ZONE_AV] = 0.9,
             [HEALBOT_SKIN_FLUID] = 0.8, [HEALBOT_SKIN_VIVID] = 0.8, [HEALBOT_SKIN_LIGHT] = 0.8, [HEALBOT_SKIN_SQUARE] = 0.8, [HEALBOT_MAGIC] = 0.95,},
  headtextfont = {[HEALBOT_SKINS_STD] = HealBot_Default_Font, [HEALBOT_OPTIONS_GROUPHEALS] = HealBot_Default_Font, [HEALBOT_OPTIONS_EMERGENCYHEALS] = HealBot_Default_Font, [HEALBOT_ZONE_AV] = HealBot_Default_Font,
             [HEALBOT_SKIN_FLUID] = HealBot_Default_Font, [HEALBOT_SKIN_VIVID] = HealBot_Default_Font, [HEALBOT_SKIN_LIGHT] = HealBot_Default_Font, [HEALBOT_SKIN_SQUARE] = HealBot_Default_Font, [HEALBOT_MAGIC] = HealBot_Default_Font,},
  headtextheight = {[HEALBOT_SKINS_STD] = 9, [HEALBOT_OPTIONS_GROUPHEALS] = 10, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 10, [HEALBOT_ZONE_AV] = 10,
             [HEALBOT_SKIN_FLUID] = 10, [HEALBOT_SKIN_VIVID] = 10, [HEALBOT_SKIN_LIGHT] = 10, [HEALBOT_SKIN_SQUARE] = 10, [HEALBOT_MAGIC] = 9,},
    ShowAggro = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  ShowAggroBars = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  ShowAggroText = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  UseFluidBars = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  BarFreq = {[HEALBOT_SKINS_STD] = 8, [HEALBOT_OPTIONS_GROUPHEALS] = 8, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 8, [HEALBOT_ZONE_AV] = 8,
             [HEALBOT_SKIN_FLUID] = 7, [HEALBOT_SKIN_VIVID] = 9, [HEALBOT_SKIN_LIGHT] = 8, [HEALBOT_SKIN_SQUARE] = 8, [HEALBOT_MAGIC] = 7,},
  ShowHoTicons = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  ShowRaidIcon = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  ShowDebuffIcon = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  HoTonBar = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  HoTposBar = {[HEALBOT_SKINS_STD] = 2, [HEALBOT_OPTIONS_GROUPHEALS] = 2, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 2, [HEALBOT_ZONE_AV] = 2,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 2, [HEALBOT_SKIN_LIGHT] = 2, [HEALBOT_SKIN_SQUARE] = 2, [HEALBOT_MAGIC] = 2,},
  ShowClassOnBar = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  ShowClassType = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  ShowNameOnBar = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  ShowHealthOnBar = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  BarHealthIncHeals = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  BarHealthSepHeals = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  BarHealthType = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 2, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  SetClassColourText = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  SetBarClassColour = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  SetBarCustomColour = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 2, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 2, [HEALBOT_ZONE_AV] = 2,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  barcolr = {[HEALBOT_SKINS_STD] = 0.4, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.2, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0.5, [HEALBOT_SKIN_VIVID] = 0.9, [HEALBOT_SKIN_LIGHT] = 0.7, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  barcolg = {[HEALBOT_SKINS_STD] = 0.4, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.4, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 0.9, [HEALBOT_SKIN_VIVID] = 0.9, [HEALBOT_SKIN_LIGHT] = 0.8, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  barcolb = {[HEALBOT_SKINS_STD] = 0.7, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.4, [HEALBOT_ZONE_AV] = 0.2,
             [HEALBOT_SKIN_FLUID] = 0.9, [HEALBOT_SKIN_VIVID] = 0.9, [HEALBOT_SKIN_LIGHT] = 0.8, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  ShowIconTextCount = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  ShowIconTextDuration = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  IconScale = {[HEALBOT_SKINS_STD] = 0.7, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.75, [HEALBOT_ZONE_AV] = 0.5,
             [HEALBOT_SKIN_FLUID] = 0.85, [HEALBOT_SKIN_VIVID] = 0.95, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0.35, [HEALBOT_MAGIC] = 0.5,},
  IconTextScale = {[HEALBOT_SKINS_STD] = 0.75, [HEALBOT_OPTIONS_GROUPHEALS] = 0.55, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.6, [HEALBOT_ZONE_AV] = 0.55,
             [HEALBOT_SKIN_FLUID] = 0.5, [HEALBOT_SKIN_VIVID] = 0.65, [HEALBOT_SKIN_LIGHT] = 0.55, [HEALBOT_SKIN_SQUARE] = 0.5, [HEALBOT_MAGIC] = 0.8,},
  AggroBarSize = {[HEALBOT_SKINS_STD] = 2, [HEALBOT_OPTIONS_GROUPHEALS] = 4, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 2, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 7, [HEALBOT_SKIN_LIGHT] = 2, [HEALBOT_SKIN_SQUARE] = 4, [HEALBOT_MAGIC] = 2,},
  DoubleText = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  TextAlignment = {[HEALBOT_SKINS_STD] = 2, [HEALBOT_OPTIONS_GROUPHEALS] = 2, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 2, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 2, [HEALBOT_SKIN_VIVID] = 2, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 2, [HEALBOT_MAGIC] = 2,},
  HighLightActiveBar = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  highcolr = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  highcolg = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  highcolb = {[HEALBOT_SKINS_STD] = 0.7, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  PanelAnchorY = {[HEALBOT_SKINS_STD] = GetScreenHeight()/2, [HEALBOT_OPTIONS_GROUPHEALS] = GetScreenHeight()/2, [HEALBOT_OPTIONS_EMERGENCYHEALS] = GetScreenHeight()/2, 
             [HEALBOT_ZONE_AV] = GetScreenHeight()/2, [HEALBOT_SKIN_FLUID] = GetScreenHeight()/2, [HEALBOT_SKIN_VIVID] = GetScreenHeight()/2, [HEALBOT_SKIN_LIGHT] = GetScreenHeight()/2, 
             [HEALBOT_SKIN_SQUARE] = GetScreenHeight()/2, [HEALBOT_MAGIC] = GetScreenHeight()/2,},
  PanelAnchorX = {[HEALBOT_SKINS_STD] = GetScreenWidth()/2, [HEALBOT_OPTIONS_GROUPHEALS] = GetScreenWidth()/2, [HEALBOT_OPTIONS_EMERGENCYHEALS] = GetScreenWidth()/2, 
             [HEALBOT_ZONE_AV] = GetScreenWidth()/2, [HEALBOT_SKIN_FLUID] = GetScreenWidth()/2, [HEALBOT_SKIN_VIVID] = GetScreenWidth()/2, [HEALBOT_SKIN_LIGHT] = GetScreenWidth()/2, 
             [HEALBOT_SKIN_SQUARE] = GetScreenWidth()/2, [HEALBOT_MAGIC] = GetScreenWidth()/2,},
  GroupsPerCol = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  SkinDefault = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  headhight = {[HEALBOT_SKINS_STD] = 0.5, [HEALBOT_OPTIONS_GROUPHEALS] = 0.8, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.5, [HEALBOT_ZONE_AV] = 0.4,
             [HEALBOT_SKIN_FLUID] = 0.75, [HEALBOT_SKIN_VIVID] = 0.95, [HEALBOT_SKIN_LIGHT] = 0.5, [HEALBOT_SKIN_SQUARE] = 0.25, [HEALBOT_MAGIC] = 0.45,},
  SelfHeals = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 0,},
  PetHeals = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  GroupHeals = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  TankHeals = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  SelfPet = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  EmergencyHeals = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  SetFocusBar = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  VehicleHeals = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  ShowMyTargetsList = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  TargetHeals = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  TargetIncSelf = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  TargetIncGroup = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  TargetIncRaid = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 1,},
  TargetIncPet = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  TargetBarNormalMode = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  AlertLevel = {[HEALBOT_SKINS_STD] = 0.92, [HEALBOT_OPTIONS_GROUPHEALS] = 0.92, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0.88, [HEALBOT_ZONE_AV] = 0.75,
             [HEALBOT_SKIN_FLUID] = 0.98, [HEALBOT_SKIN_VIVID] = 0.92, [HEALBOT_SKIN_LIGHT] = 0.8, [HEALBOT_SKIN_SQUARE] = 0.88, [HEALBOT_MAGIC] = 0.88,},
  NotVisibleDisable = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  HidePartyFrames = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  HidePlayerTarget = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
  CastNotify = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  NotifyChan = {[HEALBOT_SKINS_STD] = "", [HEALBOT_OPTIONS_GROUPHEALS] = "", [HEALBOT_OPTIONS_EMERGENCYHEALS] = "", [HEALBOT_ZONE_AV] = "",
             [HEALBOT_SKIN_FLUID] = "", [HEALBOT_SKIN_VIVID] = "", [HEALBOT_SKIN_LIGHT] = "", [HEALBOT_SKIN_SQUARE] = "", [HEALBOT_MAGIC] = "",},
  NotifyHealMsg = {[HEALBOT_SKINS_STD] = HEALBOT_NOTIFYHEALMSG, [HEALBOT_OPTIONS_GROUPHEALS] = HEALBOT_NOTIFYHEALMSG, [HEALBOT_OPTIONS_EMERGENCYHEALS] = HEALBOT_NOTIFYHEALMSG,
                   [HEALBOT_ZONE_AV] = HEALBOT_NOTIFYHEALMSG, [HEALBOT_SKIN_FLUID] = HEALBOT_NOTIFYHEALMSG, [HEALBOT_SKIN_VIVID] = HEALBOT_NOTIFYHEALMSG, [HEALBOT_SKIN_LIGHT] = HEALBOT_NOTIFYHEALMSG, 
                   [HEALBOT_SKIN_SQUARE] = HEALBOT_NOTIFYHEALMSG, [HEALBOT_MAGIC] = HEALBOT_NOTIFYHEALMSG,},
  NotifyOtherMsg = {[HEALBOT_SKINS_STD] = HEALBOT_NOTIFYOTHERMSG, [HEALBOT_OPTIONS_GROUPHEALS] = HEALBOT_NOTIFYOTHERMSG, [HEALBOT_OPTIONS_EMERGENCYHEALS] = HEALBOT_NOTIFYOTHERMSG,
                   [HEALBOT_ZONE_AV] = HEALBOT_NOTIFYOTHERMSG, [HEALBOT_SKIN_FLUID] = HEALBOT_NOTIFYOTHERMSG, [HEALBOT_SKIN_VIVID] = HEALBOT_NOTIFYOTHERMSG, [HEALBOT_SKIN_LIGHT] = HEALBOT_NOTIFYOTHERMSG, 
                   [HEALBOT_SKIN_SQUARE] = HEALBOT_NOTIFYOTHERMSG, [HEALBOT_MAGIC] = HEALBOT_NOTIFYOTHERMSG,},
  CastNotifyResOnly = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  ShowIncHeals = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  incHealDur = {[HEALBOT_SKINS_STD] = { D = 5, H = 3, C = 3 }, [HEALBOT_OPTIONS_GROUPHEALS] = { D = 5, H = 3, C = 3 }, [HEALBOT_OPTIONS_EMERGENCYHEALS] = { D = 5, H = 3, C = 3 }, 
                  [HEALBOT_ZONE_AV] = { D = 5, H = 3, C = 3 }, [HEALBOT_SKIN_FLUID] = { D = 5, H = 3, C = 3 }, [HEALBOT_SKIN_VIVID] = { D = 5, H = 3, C = 3 }, 
                  [HEALBOT_SKIN_LIGHT] = { D = 5, H = 3, C = 3 }, [HEALBOT_SKIN_SQUARE] = { D = 5, H = 3, C = 3 }, [HEALBOT_MAGIC] = { D = 5, H = 3, C = 3 },},
  EmergIncMonitor = {[HEALBOT_SKINS_STD] = 1, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  EmergencyFClass = {[HEALBOT_SKINS_STD] = 4, [HEALBOT_OPTIONS_GROUPHEALS] = 4, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 4, [HEALBOT_ZONE_AV] = 4,
             [HEALBOT_SKIN_FLUID] = 4, [HEALBOT_SKIN_VIVID] = 4, [HEALBOT_SKIN_LIGHT] = 4, [HEALBOT_SKIN_SQUARE] = 4, [HEALBOT_MAGIC] = 4,},
  ExtraOrder = {[HEALBOT_SKINS_STD] = 3, [HEALBOT_OPTIONS_GROUPHEALS] = 3, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 3, [HEALBOT_ZONE_AV] = 3,
             [HEALBOT_SKIN_FLUID] = 3, [HEALBOT_SKIN_VIVID] = 3, [HEALBOT_SKIN_LIGHT] = 3, [HEALBOT_SKIN_SQUARE] = 3, [HEALBOT_MAGIC] = 3,},
  Panel_Anchor = {[HEALBOT_SKINS_STD] = 3, [HEALBOT_OPTIONS_GROUPHEALS] = 1, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 1, [HEALBOT_ZONE_AV] = 1,
             [HEALBOT_SKIN_FLUID] = 1, [HEALBOT_SKIN_VIVID] = 1, [HEALBOT_SKIN_LIGHT] = 1, [HEALBOT_SKIN_SQUARE] = 1, [HEALBOT_MAGIC] = 1,},
  ExtraIncGroup = {[HEALBOT_SKINS_STD] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true},
                   [HEALBOT_OPTIONS_GROUPHEALS] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true},
                   [HEALBOT_OPTIONS_EMERGENCYHEALS] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true},
                   [HEALBOT_ZONE_AV] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true},
                   [HEALBOT_SKIN_FLUID] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true},
                   [HEALBOT_SKIN_VIVID] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true}, 
                   [HEALBOT_SKIN_LIGHT] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true}, 
                   [HEALBOT_SKIN_SQUARE] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true},
                   [HEALBOT_MAGIC] = {[1] = true, [2] = true, [3] = true, [4] = true, [5] = true, [6] = true, [7] = true, [8] = true}, },
  ActionLocked = {[HEALBOT_SKINS_STD] = 0, [HEALBOT_OPTIONS_GROUPHEALS] = 0, [HEALBOT_OPTIONS_EMERGENCYHEALS] = 0, [HEALBOT_ZONE_AV] = 0,
             [HEALBOT_SKIN_FLUID] = 0, [HEALBOT_SKIN_VIVID] = 0, [HEALBOT_SKIN_LIGHT] = 0, [HEALBOT_SKIN_SQUARE] = 0, [HEALBOT_MAGIC] = 0,},
};

HealBot_Config = {};
Healbot_Config_Skins = {};

HealBot_UnitDebuff = {};
HealBot_UnitBuff = {};
HealBot_EmergInc = {}
HealBot_Class_En = {}

HealBot_OtherSpells = {};
HealBot_Spells = {};
HealBot_DebuffSpell = {};
HealBot_IsFighting = nil;

HealBot_Action_TooltipUnit=nil;
Delay_RecalcParty=0;
HealBot_PlayerClass=nil;
HealBot_PlayerClassEN=nil;
HealBot_PlayerRace=nil;
HealBot_PlayerRaceEN=nil;
HealBot_UnitName = {};
HealBot_UnitID = {};
HealBot_UnitSpec = {};
HealBot_PlayerName=nil;
HealBot_PlayerGUID=nil;
HealBot_Unit_Button={};
HealBot_HoT_Active_Button={};